<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Load an DataFrame</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for read.df {SparkR}"><tr><td>read.df {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Load an DataFrame</h2>

<h3>Description</h3>

<p>Returns the dataset in a data source as a DataFrame
</p>


<h3>Usage</h3>

<pre>
read.df(sqlContext, path = NULL, source = NULL, schema = NULL, ...)

loadDF(sqlContext, path = NULL, source = NULL, schema = NULL, ...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>SQLContext to use</p>
</td></tr>
<tr valign="top"><td><code>path</code></td>
<td>
<p>The path of files to load</p>
</td></tr>
<tr valign="top"><td><code>source</code></td>
<td>
<p>The name of external data source</p>
</td></tr>
<tr valign="top"><td><code>schema</code></td>
<td>
<p>The data schema defined in structType</p>
</td></tr>
</table>


<h3>Details</h3>

<p>The data source is specified by the 'source' and a set of options(...).
If 'source' is not specified, the default data source configured by
&quot;spark.sql.sources.default&quot; will be used.
</p>


<h3>Value</h3>

<p>DataFrame
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
df1 &lt;- read.df(sqlContext, "path/to/file.json", source = "json")
schema &lt;- structType(structField("name", "string"),
                     structField("info", "map&lt;string,double&gt;"))
df2 &lt;- read.df(sqlContext, mapTypeJsonPath, "json", schema)
df3 &lt;- loadDF(sqlContext, "data/test_table", "parquet", mergeSchema = "true")

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
